Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (6 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/releases/1.9.2/configure

    r2978 r2985  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064 
    1065   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1064  --enable-doscompile     Under Cygwin, compile so that executables run under
     1065                          DOS. Set to mingw to use gcc/g++/ld with
     1066                          -mno-cygwin. Set to msvc to use cl/link (or
     1067                          icl/link). Default when mentioned: mingw. Default
     1068                          when not mentioned: disabled.
    10661069  --disable-pkg-config    disable use of pkg-config (if available)
    10671070  --enable-static[=PKGS]
     
    18541857
    18551858# Get the name of the C compiler
    1856 
    1857 
    1858   # for backward compatibility
    1859   # Check whether --enable-doscompile or --disable-doscompile was given.
    1860 if test "${enable_doscompile+set}" = set; then
    1861   enableval="$enable_doscompile"
    1862   enable_doscompile=$enableval
    1863 else
    1864   enable_doscompile=no
    1865 fi;
    1866 
    1867   # Check whether --enable-msvc or --disable-msvc was given.
    1868 if test "${enable_msvc+set}" = set; then
    1869   enableval="$enable_msvc"
    1870   enable_msvc=$enableval
    1871 else
    1872   enable_msvc=no
    1873      if test "$enable_doscompile" = msvc ; then
    1874        enable_msvc=yes
    1875      elif test "$enable_doscompile" != no ; then
    1876        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1877 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1878    { (exit 1); exit 1; }; }
    1879      fi
    1880 
    1881 fi;
    1882 
    1883   if test "$enable_msvc" = yes; then
    1884     case $build in
    1885       *-cygwin* | *-mingw*) ;;
    1886       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1887 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1888    { (exit 1); exit 1; }; } ;;
    1889     esac
    1890   fi
    1891 
    1892 
    1893  case $build in
     1859case $build in
    18941860  *-mingw*)
    18951861    if test "${LD+set}" = set; then :; else
     
    18981864    ;;
    18991865 esac
    1900  if test $enable_msvc = yes ; then
    1901    if test "x${LD+set}" = xset; then :; else
    1902      LD=link
     1866 case $enable_doscompile in
     1867   msvc)
     1868     if test "x${LD+set}" = xset; then :; else
     1869       LD=link
     1870     fi
     1871     ;;
     1872 esac
     1873
     1874
     1875 # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  if test "$enable_doscompile" != no; then
     1879     case $build in
     1880       *-cygwin* | *-mingw*) ;;
     1881       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1882echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1883   { (exit 1); exit 1; }; } ;;
     1884     esac
    19031885   fi
    1904  fi
     1886else
     1887  enable_doscompile=no
     1888fi;
     1889 case "$enable_doscompile" in
     1890   mingw)
     1891     case $build in
     1892       *-mingw*) enable_doscompile=no ;;
     1893     esac
     1894     ;;
     1895   msvc|no) ;;
     1896   yes) enable_doscompile=mingw ;;
     1897   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1898                    Try configure --help=recursive." >&5
     1899echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1900                    Try configure --help=recursive." >&2;}
     1901   { (exit 1); exit 1; }; }
     1902      ;;
     1903  esac
     1904  if test "$enable_doscompile" != no ; then
     1905    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1906echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1907  fi
    19051908
    19061909
     
    19451948case $build in
    19461949  *-cygwin* | *-mingw*)
    1947              if test "$enable_msvc" = yes ; then
    1948                comps="icl cl gcc"
     1950             if test "$enable_doscompile" = msvc ; then
     1951               comps="icl cl"
    19491952             else
    1950                comps="gcc icl cl"
     1953               comps="gcc cl"
    19511954             fi ;;
    19521955  *-*-solaris*)
     
    28012804            ;;
    28022805        esac
     2806        case $enable_doscompile in
     2807          mingw)
     2808            CFLAGS="-mno-cygwin"
     2809            cat >conftest.$ac_ext <<_ACEOF
     2810/* confdefs.h.  */
     2811_ACEOF
     2812cat confdefs.h >>conftest.$ac_ext
     2813cat >>conftest.$ac_ext <<_ACEOF
     2814/* end confdefs.h.  */
     2815
     2816int
     2817main ()
     2818{
     2819int i=0; i++;
     2820  ;
     2821  return 0;
     2822}
     2823_ACEOF
     2824rm -f conftest.$ac_objext conftest$ac_exeext
     2825if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2826  (eval $ac_link) 2>conftest.er1
     2827  ac_status=$?
     2828  grep -v '^ *+' conftest.er1 >conftest.err
     2829  rm -f conftest.er1
     2830  cat conftest.err >&5
     2831  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2832  (exit $ac_status); } &&
     2833         { ac_try='test -z "$ac_c_werror_flag"
     2834                         || test ! -s conftest.err'
     2835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2836  (eval $ac_try) 2>&5
     2837  ac_status=$?
     2838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2839  (exit $ac_status); }; } &&
     2840         { ac_try='test -s conftest$ac_exeext'
     2841  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2842  (eval $ac_try) 2>&5
     2843  ac_status=$?
     2844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2845  (exit $ac_status); }; }; then
     2846  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2847else
     2848  echo "$as_me: failed program was:" >&5
     2849sed 's/^/| /' conftest.$ac_ext >&5
     2850
     2851fi
     2852rm -f conftest.err conftest.$ac_objext \
     2853      conftest$ac_exeext conftest.$ac_ext
     2854            CFLAGS=
     2855          ;;
     2856        esac
    28032857    esac
    28042858  fi
     
    31413195  clang* ) ;;
    31423196  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3143 
    3144  case $build in
     3197    case $build in
    31453198  *-mingw*)
    31463199    if test "${LD+set}" = set; then :; else
     
    31493202    ;;
    31503203 esac
    3151  if test $enable_msvc = yes ; then
    3152    if test "x${LD+set}" = xset; then :; else
    3153      LD=link
    3154    fi
    3155  fi
     3204 case $enable_doscompile in
     3205   msvc)
     3206     if test "x${LD+set}" = xset; then :; else
     3207       LD=link
     3208     fi
     3209     ;;
     3210 esac
    31563211
    31573212    ;;
     
    50155070*-*-irix6*)
    50165071  # Find out which ABI we are using.
    5017   echo '#line 5017 "configure"' > conftest.$ac_ext
     5072  echo '#line 5072 "configure"' > conftest.$ac_ext
    50185073  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50195074  (eval $ac_compile) 2>&5
     
    66146669
    66156670# Provide some information about the compiler.
    6616 echo "$as_me:6616:" \
     6671echo "$as_me:6671:" \
    66176672     "checking for Fortran 77 compiler version" >&5
    66186673ac_compiler=`set X $ac_compile; echo $2`
     
    76817736   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76827737   -e 's:$: $lt_compiler_flag:'`
    7683    (eval echo "\"\$as_me:7683: $lt_compile\"" >&5)
     7738   (eval echo "\"\$as_me:7738: $lt_compile\"" >&5)
    76847739   (eval "$lt_compile" 2>conftest.err)
    76857740   ac_status=$?
    76867741   cat conftest.err >&5
    7687    echo "$as_me:7687: \$? = $ac_status" >&5
     7742   echo "$as_me:7742: \$? = $ac_status" >&5
    76887743   if (exit $ac_status) && test -s "$ac_outfile"; then
    76897744     # The compiler can only warn and ignore the option if not recognized
     
    79498004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79508005   -e 's:$: $lt_compiler_flag:'`
    7951    (eval echo "\"\$as_me:7951: $lt_compile\"" >&5)
     8006   (eval echo "\"\$as_me:8006: $lt_compile\"" >&5)
    79528007   (eval "$lt_compile" 2>conftest.err)
    79538008   ac_status=$?
    79548009   cat conftest.err >&5
    7955    echo "$as_me:7955: \$? = $ac_status" >&5
     8010   echo "$as_me:8010: \$? = $ac_status" >&5
    79568011   if (exit $ac_status) && test -s "$ac_outfile"; then
    79578012     # The compiler can only warn and ignore the option if not recognized
     
    80538108   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80548109   -e 's:$: $lt_compiler_flag:'`
    8055    (eval echo "\"\$as_me:8055: $lt_compile\"" >&5)
     8110   (eval echo "\"\$as_me:8110: $lt_compile\"" >&5)
    80568111   (eval "$lt_compile" 2>out/conftest.err)
    80578112   ac_status=$?
    80588113   cat out/conftest.err >&5
    8059    echo "$as_me:8059: \$? = $ac_status" >&5
     8114   echo "$as_me:8114: \$? = $ac_status" >&5
    80608115   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80618116   then
     
    1039810453  lt_status=$lt_dlunknown
    1039910454  cat > conftest.$ac_ext <<EOF
    10400 #line 10400 "configure"
     10455#line 10455 "configure"
    1040110456#include "confdefs.h"
    1040210457
     
    1049810553  lt_status=$lt_dlunknown
    1049910554  cat > conftest.$ac_ext <<EOF
    10500 #line 10500 "configure"
     10555#line 10555 "configure"
    1050110556#include "confdefs.h"
    1050210557
     
    1284212897   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1284312898   -e 's:$: $lt_compiler_flag:'`
    12844    (eval echo "\"\$as_me:12844: $lt_compile\"" >&5)
     12899   (eval echo "\"\$as_me:12899: $lt_compile\"" >&5)
    1284512900   (eval "$lt_compile" 2>conftest.err)
    1284612901   ac_status=$?
    1284712902   cat conftest.err >&5
    12848    echo "$as_me:12848: \$? = $ac_status" >&5
     12903   echo "$as_me:12903: \$? = $ac_status" >&5
    1284912904   if (exit $ac_status) && test -s "$ac_outfile"; then
    1285012905     # The compiler can only warn and ignore the option if not recognized
     
    1294613001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1294713002   -e 's:$: $lt_compiler_flag:'`
    12948    (eval echo "\"\$as_me:12948: $lt_compile\"" >&5)
     13003   (eval echo "\"\$as_me:13003: $lt_compile\"" >&5)
    1294913004   (eval "$lt_compile" 2>out/conftest.err)
    1295013005   ac_status=$?
    1295113006   cat out/conftest.err >&5
    12952    echo "$as_me:12952: \$? = $ac_status" >&5
     13007   echo "$as_me:13007: \$? = $ac_status" >&5
    1295313008   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1295413009   then
     
    1451614571   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1451714572   -e 's:$: $lt_compiler_flag:'`
    14518    (eval echo "\"\$as_me:14518: $lt_compile\"" >&5)
     14573   (eval echo "\"\$as_me:14573: $lt_compile\"" >&5)
    1451914574   (eval "$lt_compile" 2>conftest.err)
    1452014575   ac_status=$?
    1452114576   cat conftest.err >&5
    14522    echo "$as_me:14522: \$? = $ac_status" >&5
     14577   echo "$as_me:14577: \$? = $ac_status" >&5
    1452314578   if (exit $ac_status) && test -s "$ac_outfile"; then
    1452414579     # The compiler can only warn and ignore the option if not recognized
     
    1462014675   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1462114676   -e 's:$: $lt_compiler_flag:'`
    14622    (eval echo "\"\$as_me:14622: $lt_compile\"" >&5)
     14677   (eval echo "\"\$as_me:14677: $lt_compile\"" >&5)
    1462314678   (eval "$lt_compile" 2>out/conftest.err)
    1462414679   ac_status=$?
    1462514680   cat out/conftest.err >&5
    14626    echo "$as_me:14626: \$? = $ac_status" >&5
     14681   echo "$as_me:14681: \$? = $ac_status" >&5
    1462714682   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1462814683   then
     
    1682716882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1682816883   -e 's:$: $lt_compiler_flag:'`
    16829    (eval echo "\"\$as_me:16829: $lt_compile\"" >&5)
     16884   (eval echo "\"\$as_me:16884: $lt_compile\"" >&5)
    1683016885   (eval "$lt_compile" 2>conftest.err)
    1683116886   ac_status=$?
    1683216887   cat conftest.err >&5
    16833    echo "$as_me:16833: \$? = $ac_status" >&5
     16888   echo "$as_me:16888: \$? = $ac_status" >&5
    1683416889   if (exit $ac_status) && test -s "$ac_outfile"; then
    1683516890     # The compiler can only warn and ignore the option if not recognized
     
    1709517150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1709617151   -e 's:$: $lt_compiler_flag:'`
    17097    (eval echo "\"\$as_me:17097: $lt_compile\"" >&5)
     17152   (eval echo "\"\$as_me:17152: $lt_compile\"" >&5)
    1709817153   (eval "$lt_compile" 2>conftest.err)
    1709917154   ac_status=$?
    1710017155   cat conftest.err >&5
    17101    echo "$as_me:17101: \$? = $ac_status" >&5
     17156   echo "$as_me:17156: \$? = $ac_status" >&5
    1710217157   if (exit $ac_status) && test -s "$ac_outfile"; then
    1710317158     # The compiler can only warn and ignore the option if not recognized
     
    1719917254   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1720017255   -e 's:$: $lt_compiler_flag:'`
    17201    (eval echo "\"\$as_me:17201: $lt_compile\"" >&5)
     17256   (eval echo "\"\$as_me:17256: $lt_compile\"" >&5)
    1720217257   (eval "$lt_compile" 2>out/conftest.err)
    1720317258   ac_status=$?
    1720417259   cat out/conftest.err >&5
    17205    echo "$as_me:17205: \$? = $ac_status" >&5
     17260   echo "$as_me:17260: \$? = $ac_status" >&5
    1720617261   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1720717262   then
     
    2195622011echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2195722012coin_link_input_cmd="$LN_S"
     22013if test "$enable_doscompile" = mingw; then
     22014  coin_link_input_cmd=cp
     22015fi
    2195822016case "$CC" in
    2195922017  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.